Package com.fasterxml.jackson.datatype.joda.deser

## Class MonthDayDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.datatype.joda.deser.JodaDateDeserializerBase<org.joda.time.MonthDay>
        - - com.fasterxml.jackson.datatype.joda.deser.MonthDayDeserializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.deser.ContextualDeserializer`, `com.fasterxml.jackson.databind.deser.NullValueProvider`, `java.io.Serializable`

    public class MonthDayDeserializer
    extends JodaDateDeserializerBase<org.joda.time.MonthDay>

A Jackson deserializer for Joda MonthDay objects.

Expects a string value compatible with MonthDay's parse operation.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.datatype.joda.deser.JodaDateDeserializerBase

`_format`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
`MonthDayDeserializer()`
`MonthDayDeserializer​(JacksonJodaDateFormat format)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `_handleNotNumberOrString​(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`org.joda.time.MonthDay` `deserialize​(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`java.lang.Object` `deserializeWithType​(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)`
`JodaDateDeserializerBase<?>` `withFormat​(JacksonJodaDateFormat format)`

### Methods inherited from class com.fasterxml.jackson.datatype.joda.deser.JodaDateDeserializerBase

`createContextual`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserialize, getEmptyAccessPattern, getNullAccessPattern, supportsUpdate`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_byteOverflow, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeWrappedValue, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isEmptyOrTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _neitherNull, _nonNullNumber, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MonthDayDeserializer

    public MonthDayDeserializer()

#### MonthDayDeserializer

    public MonthDayDeserializer​(JacksonJodaDateFormat format)

### Method Detail

#### withFormat

    public JodaDateDeserializerBase<?> withFormat​(JacksonJodaDateFormat format)

Specified by:
  `withFormat` in class `JodaDateDeserializerBase<org.joda.time.MonthDay>`

#### deserialize

    public org.joda.time.MonthDay deserialize​(com.fasterxml.jackson.core.JsonParser p,
                                              com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                       throws java.io.IOException

Specified by:
  `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<org.joda.time.MonthDay>`
Throws:
  `java.io.IOException`

#### deserializeWithType

    public java.lang.Object deserializeWithType​(com.fasterxml.jackson.core.JsonParser p,
                                                com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                                com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)
                                         throws java.io.IOException

Overrides:
  `deserializeWithType` in class `com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>`
Throws:
  `java.io.IOException`

#### _handleNotNumberOrString

    public T _handleNotNumberOrString​(com.fasterxml.jackson.core.JsonParser p,
                                      com.fasterxml.jackson.databind.DeserializationContext ctxt)
                               throws java.io.IOException

Throws:
  `java.io.IOException`